# Map New Chain to Mainnet

{% hint style="warning" %}
It is important that this step be done last after a valid stake has been setup on the mainnet as well as the other previous steps or else the account may not be listened for.
{% endhint %}

### Map New Chain to Mainnet

To map a new chain’s account to the EOS mainnet, navigate to the contract that has deployed the `dappservicex.cpp` contract and perform the `setlink` action.

* owner {name} - name of account on the new chain to link, using services
* mainnet\_owner {name} - name of account on mainnet, staking to services

Example cleos command:

```
cleos -u $NEW_CHAIN_NODEOS_ENDPOINT push transaction '{"delay_sec":0,"max_cpu_usage_ms":0,"actions":[{"account":"dappservicex","name":"setlink","data":{"owner":"liquidxcnsmr","mainnet_owner":"natdeveloper"},"authorization":[{"actor":"liquidxcnsmr","permission":"active"}]}]}'
```

In short you have run the `adddsp` and the `setlink` action on the new chain’s `dappservicex` account and the `addaccount` action on the EOS mainet’s [`liquidx.dsp`](https://bloks.io/account/liquidx.dsp) account.

The new chain account now has the ability to access any service staked to by the mainnet account.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.liquidapps.io/liquidapps-documentation/liquidx-stake-across-chains/getting-started-with-liquidx/use-dapp-network-services/map-new-chain-to-mainnet.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
